ClarisDrawStyleManagerInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisDrawStyleManagerInternal::State Struct Reference

Internal: the state of a ClarisDrawStyleManager. More...

## Public Member Functions
| State ()
| constructor More...
void | initBWPatterns ()
| init the black and white patterns list More...
void | initColors ()
| init the colors list More...
void | initDashs ()
| init the dashs list More...
void | initGradients ()
| init the gradient list More...

## Public Attributes
MWAWVec2f | m_documentSize
| the document size (in point) More...
int | m_numStyleZones [6]
| the number of zones More...
int | m_numColors
| the number of color More...
int | m_numBWPatterns
| the number of BW pattern More...
int | m_numGradients
| the number of gradient More...
std::vector< MWAWColor > | m_colorList
| the color list More...
std::vector< std::vector< float > > | m_dashList
| the list of dash More...
std::vector< MWAWFont > | m_fontList
| the list of font More...
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph More...
std::vector< MWAWGraphicStyle::Pattern > | m_BWPatternList
| the patterns list More...
std::vector< Gradient > | m_gradientList
| the gradient list More...

## Detailed Description

Internal: the state of a ClarisDrawStyleManager.

## Constructor & Destructor Documentation

## ◆ State()

ClarisDrawStyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initBWPatterns()

void ClarisDrawStyleManagerInternal::State::initBWPatterns | ( |  | ) |

init the black and white patterns list

## ◆ initColors()

void ClarisDrawStyleManagerInternal::State::initColors | ( |  | ) |

init the colors list

## ◆ initDashs()

void ClarisDrawStyleManagerInternal::State::initDashs | ( |  | ) |

init the dashs list

## ◆ initGradients()

void ClarisDrawStyleManagerInternal::State::initGradients | ( |  | ) |

init the gradient list

## Member Data Documentation

## ◆ m_BWPatternList

std::vector<MWAWGraphicStyle::Pattern> ClarisDrawStyleManagerInternal::State::m_BWPatternList

the patterns list

Referenced by initBWPatterns().

## ◆ m_colorList

std::vector<MWAWColor> ClarisDrawStyleManagerInternal::State::m_colorList

the color list

Referenced by initColors().

## ◆ m_dashList

std::vector< std::vector<float> > ClarisDrawStyleManagerInternal::State::m_dashList

the list of dash

Referenced by initDashs().

## ◆ m_documentSize

MWAWVec2f ClarisDrawStyleManagerInternal::State::m_documentSize

the document size (in point)

## ◆ m_fontList

std::vector<MWAWFont> ClarisDrawStyleManagerInternal::State::m_fontList

the list of font

## ◆ m_gradientList

std::vector<Gradient> ClarisDrawStyleManagerInternal::State::m_gradientList

the gradient list

Referenced by initGradients().

## ◆ m_numBWPatterns

int ClarisDrawStyleManagerInternal::State::m_numBWPatterns

the number of BW pattern

## ◆ m_numColors

int ClarisDrawStyleManagerInternal::State::m_numColors

the number of color

Referenced by initColors().

## ◆ m_numGradients

int ClarisDrawStyleManagerInternal::State::m_numGradients

the number of gradient

Referenced by initGradients().

## ◆ m_numStyleZones

int ClarisDrawStyleManagerInternal::State::m_numStyleZones[6]

the number of zones

Referenced by State().

## ◆ m_paragraphList

std::vector<MWAWParagraph> ClarisDrawStyleManagerInternal::State::m_paragraphList

the list of paragraph

The documentation for this struct was generated from the following file:

- ClarisDrawStyleManager.cxx